# Lending cars

## Modules
### master account 

- manage customers passwrod, status,note)
    - CRUD customer
    - set limits to customer
        - branches (soft, hard limit)
        - users (soft, hard limit)
        - items (soft, hard limit)
    - lock customer
    - customer substitution 

```
# customers
customer_id
name
status - active/lock/deleted
note
```


###  user accounts
- CRUD
- set branch
- set roles (read, write, mgm)
- lock customer_user
- geo/IP filtering ????
- integracia na windows AD

```
# users table:
user_id
customer_id
login
passwod
email
status - active/lock/deleted
```
### branch mgm

- CRUD 
- lock branch

```
# branch_table:
branch_id
customer_id
name
Location
status - active/lock/deleted
```

- inventory(cars)
    - CRUD 
    - lock/unlock item
```
# cars_table:
car_id
customer_id
branch_id

```
- planing operations(reservations)

- operations(zapozicky)
    - lend
    - replace
    - return
    - storno
    - manual fix, CRUD 

- invoices
    - CRUD + data from operations


### Data model
- CRUD
- client_id mandatory value

### Null module
- operation CRUD
    - search
- reporting
- logging

### Authentification

### Authorisation


